#
# spec file for package python-sphinxcontrib-pecanwsme
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinxcontrib-pecanwsme
Version:        0.10.0
Release:        bp153.1.21
Summary:        Extension to Sphinx for documenting APIs built with Pecan and WSME
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/dreamhost/sphinxcontrib-pecanwsme
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-pecanwsme/sphinxcontrib-pecanwsme-%{version}.tar.gz
BuildRequires:  openstack-suse-macros

BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module sphinxcontrib-httpdomain}
BuildRequires:  python-rpm-macros
Requires:       python-six
Requires:       python-sphinxcontrib-httpdomain
BuildArch:      noarch

%python_subpackages

%description
Extension to Sphinx for documenting APIs built with Pecan and WSME

%prep
%setup -q -n sphinxcontrib-pecanwsme-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Apr 23 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.10.0
  * Add support for Sphinx 2.0
  * Logs are moved to debug level to reduce noisiness of output
* Tue Sep  4 2018 dmueller@suse.com
- update to 0.9:
  * setup.cfg: Update with recent changes
  * Port to Python 3
- switch to singlespec
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Tue May  6 2014 dmueller@suse.com
- update to version 0.8:
  + Fix make rst for method not using wsme
* Tue Mar 18 2014 speilicke@suse.com
- Update to version 0.7.1:
  + update announce.rst for 0.7.1 release
  + Fix formatting issue for docstrings without param list
  + fix tags syntax
* Thu Mar  6 2014 speilicke@suse.com
- Update to version 0.7:
  + Remove trailing slash from URLs
* Thu Feb 13 2014 dmueller@suse.com
- remove d2to1 dependency
* Sat Jan 11 2014 dmueller@suse.com
- update to 0.6:
  * Add support for DELETE and PATCH HTTP verbs
* Mon Oct 21 2013 dmueller@suse.com
- update to 0.5:
  * Add rest verb as prefix for custom_actions
* Thu Sep 26 2013 dmueller@suse.com
- update to 0.4:
  * Remove duplication in RESTControllerDirective
  * Handle more pecan REST method
* Mon Sep 16 2013 speilicke@suse.com
- Update to version 0.3:
  + Update pbr usage past the world of d2to1
* Thu Jul  4 2013 speilicke@suse.com
- Package LICENSE and README.rst
* Mon Jun 10 2013 dmueller@suse.com
- Initial package (0.2)
